summaryrefslogtreecommitdiffstats
path: root/t/recipes/checks/control-files/unpack-numerical-owner/build-spec/tar-data
diff options
context:
space:
mode:
Diffstat (limited to 't/recipes/checks/control-files/unpack-numerical-owner/build-spec/tar-data')
-rwxr-xr-xt/recipes/checks/control-files/unpack-numerical-owner/build-spec/tar-data7
1 files changed, 7 insertions, 0 deletions
diff --git a/t/recipes/checks/control-files/unpack-numerical-owner/build-spec/tar-data b/t/recipes/checks/control-files/unpack-numerical-owner/build-spec/tar-data
new file mode 100755
index 0000000..5659822
--- /dev/null
+++ b/t/recipes/checks/control-files/unpack-numerical-owner/build-spec/tar-data
@@ -0,0 +1,7 @@
+#!/bin/sh
+
+set -e
+
+rootdir="$1"
+
+tar --create --file members/data.tar.gz --gzip --numeric-owner --directory "$rootdir" .